Advertising (This ad goes away for registered users. You can Login or Register)

PSV Required Firmware List - Need Volunteers

Discuss official PS Vita games here
sentralizer
Posts: 1
Joined: Tue Aug 11, 2015 6:38 am

Re: PSV Required Firmware List - Need Volunteers

Post by sentralizer » Fri Jan 15, 2016 11:01 pm

WolfFhang wrote:Anyone know the required firmware for Superbeat Xonic?
Superbeat Xonic requires 3.55 update. I stupidly bought it without thinking now I'm still on 3.01 and can't play it this is what happens when you spend most of your time playing older games you forget these issues lol.
Advertising

User avatar
zekepliskin
Posts: 71
Joined: Fri Oct 09, 2015 5:00 pm

Re: PSV Required Firmware List - Need Volunteers

Post by zekepliskin » Tue Jan 19, 2016 8:14 am

Grim Fandango Remastered requires 3.36 and up I believe. Shame really, was hoping to play it on my 3.18 Vita since it came as one of the free games on PS+ this month.
Advertising
[TUTORIAL] Install TN-V11/TN-X On Vita FW 3.18

PS Vita 16GB (FW 3.51) - TN-V11 [Quikrazor87], Rejuvenate [Unity 1.06], PS1 Loader [TheFloW]
Nintendo O3DS XL 16GB (SysNAND 11.0) - A9LH, GBA VC, FBI, HBL, SuperCard DSTWO 2GB
Wii U, Wii, Xbox 360, PS2, PS3, PS4

fuctface
Posts: 9
Joined: Sun Mar 08, 2015 4:41 am
Location: On., Canada

Re: PSV Required Firmware List - Need Volunteers

Post by fuctface » Thu Jan 21, 2016 12:17 am

zekepliskin wrote:Grim Fandango Remastered requires 3.36 and up I believe. Shame really, was hoping to play it on my 3.18 Vita since it came as one of the free games on PS+ this month.
Same, and I am actually thinking about losing pkg*installer and updating to 3.36 to play on Vita. I updated the wiki to reflect Grim Fandango a few weeks ago, but does anybody use the wiki?

User avatar
zekepliskin
Posts: 71
Joined: Fri Oct 09, 2015 5:00 pm

Re: PSV Required Firmware List - Need Volunteers

Post by zekepliskin » Fri Jan 22, 2016 10:45 am

fuctface wrote:
zekepliskin wrote:Grim Fandango Remastered requires 3.36 and up I believe. Shame really, was hoping to play it on my 3.18 Vita since it came as one of the free games on PS+ this month.
Same, and I am actually thinking about losing pkg*installer and updating to 3.36 to play on Vita. I updated the wiki to reflect Grim Fandango a few weeks ago, but does anybody use the wiki?
Didn't even know there was one! I wouldn't be fussed about losing the PKG installer but I would about losing the PS1 Loader exploit. That would stop me updating. Can always play it on regular console anyway, since I'm on PS+.
[TUTORIAL] Install TN-V11/TN-X On Vita FW 3.18

PS Vita 16GB (FW 3.51) - TN-V11 [Quikrazor87], Rejuvenate [Unity 1.06], PS1 Loader [TheFloW]
Nintendo O3DS XL 16GB (SysNAND 11.0) - A9LH, GBA VC, FBI, HBL, SuperCard DSTWO 2GB
Wii U, Wii, Xbox 360, PS2, PS3, PS4

fuctface
Posts: 9
Joined: Sun Mar 08, 2015 4:41 am
Location: On., Canada

Re: PSV Required Firmware List - Need Volunteers

Post by fuctface » Sat Jan 23, 2016 5:45 am

zekepliskin wrote:
fuctface wrote:
zekepliskin wrote:Grim Fandango Remastered requires 3.36 and up I believe. Shame really, was hoping to play it on my 3.18 Vita since it came as one of the free games on PS+ this month.
Same, and I am actually thinking about losing pkg*installer and updating to 3.36 to play on Vita. I updated the wiki to reflect Grim Fandango a few weeks ago, but does anybody use the wiki?
Didn't even know there was one! I wouldn't be fussed about losing the PKG installer but I would about losing the PS1 Loader exploit. That would stop me updating. Can always play it on regular console anyway, since I'm on PS+.
On page one of this thread theres like an edit or something adding a link to the wiki page which is here--> http://wololo.net/wiki/psvita:gamesfw Im not sure if the owner of this thread is still active, and although I lurk on here a lot I dont often contribute I think its a good idea to try to keep this going. Lately when the new PS+ games are out I check this thread to see if the required firmware is already up. Last time when Grim Fandango came up I checked and it wasn't in the thread so I wondered why not, its a popular game and not brand new so I actually read the first post and discovered the list on the Wiki. I am not sure if this thread is caught up with the Wiki, but I would be willing to put some time into it if Im not the only one who gives a ****. The wiki is concise and searchable. I think I will PM the owner of this thread or tag him or something.

User avatar
HarmfulMushroom
Posts: 752
Joined: Wed Dec 25, 2013 10:02 pm

Re: PSV Required Firmware List - Need Volunteers

Post by HarmfulMushroom » Sat Jan 23, 2016 7:25 am

fuctface wrote: On page one of this thread theres like an edit or something adding a link to the wiki page which is here--> http://wololo.net/wiki/psvita:gamesfw Im not sure if the owner of this thread is still active, and although I lurk on here a lot I dont often contribute I think its a good idea to try to keep this going. Lately when the new PS+ games are out I check this thread to see if the required firmware is already up. Last time when Grim Fandango came up I checked and it wasn't in the thread so I wondered why not, its a popular game and not brand new so I actually read the first post and discovered the list on the Wiki. I am not sure if this thread is caught up with the Wiki, but I would be willing to put some time into it if Im not the only one who gives a ****. The wiki is concise and searchable. I think I will PM the owner of this thread or tag him or something.
I use it a lot, only seldomly contribute though. Even though one can look up a games release date and get a vague idea which firmware it may require, knowing exactly what firmware is very nice.

Ubergeek77
Posts: 3
Joined: Tue Jan 26, 2016 7:33 am

Re: PSV Required Firmware List - Need Volunteers

Post by Ubergeek77 » Tue Jan 26, 2016 7:37 am

Would anyone be able to tell me what firmware Phantasy Star Online 2 needs? It's on the JP PSN, and it's free.

And that REALLY sucks that Sword Are Online: Lost Song requires 3.52. I was just about to buy it.

Is there really no way to play it without updating? Not even if I buy the digital version and transfer it over using a PS3 or something?

ViRGE
Posts: 81
Joined: Mon Oct 08, 2012 8:31 am

Re: PSV Required Firmware List - Need Volunteers

Post by ViRGE » Wed Jan 27, 2016 8:51 am

I don't suppose anyone knows what firmware Lego Marvel Avengers requires? I'm going to guess it's 3.55, but I'm curious if anyone who actually has it knows more.

binebina
Posts: 41
Joined: Sat Apr 19, 2014 9:29 pm

Re: PSV Required Firmware List - Need Volunteers

Post by binebina » Thu Jan 28, 2016 8:47 am

Ubergeek77 wrote:Would anyone be able to tell me what firmware Phantasy Star Online 2 needs? It's on the JP PSN, and it's free.

And that REALLY sucks that Sword Are Online: Lost Song requires 3.52. I was just about to buy it.

Is there really no way to play it without updating? Not even if I buy the digital version and transfer it over using a PS3 or something?
There is a solution for you :-) You can buy the game for PS4 or PS3. Or get the English Asian Vita Version of the game (since its retail I bought this version and I'm playing it on 3.51) (I think it came out in April 2015). Downside is you cant use the DLC without an Asian PSn Acc.

Daniel_Davies85
Posts: 297
Joined: Mon Aug 13, 2012 6:14 am

Re: PSV Required Firmware List - Need Volunteers

Post by Daniel_Davies85 » Thu Jan 28, 2016 6:20 pm

Sorry to anybody who uses this thread. I had a busy year last year and didn't get as much opportunity as I hoped I would to keep this up to date, or play my Vita for that matter. If anybody else is willing to take over the reigns then that would be excellent as it is an extremely helpful thread.

I'm sure Wololo would be happy to assign a new editor were he asked.

Also, Trails of Cold Steel (PAL) works on 3.55 but I'm not sure what the required is.

Sorry again if anybody feels I let them down by not updating as much as I had hoped to.

Kindest regards,
Dan.

Post Reply

Return to “Games”